[arch-commits] CVS update of arch/build/base/glibc (PKGBUILD pl_PL-miesiace.patch)

Jan de Groot jgc at archlinux.org
Sat Aug 25 03:49:55 EDT 2007


    Date: Saturday, August 25, 2007 @ 03:49:55
  Author: jgc
    Path: /home/cvs-arch/arch/build/base/glibc

   Added: pl_PL-miesiace.patch (1.1)
Modified: PKGBUILD (1.69 -> 1.70)

upgpkg: glibc 2.6.1-2
Fix FS #7444
Build without debug symbols this time
Update libidn to 2.6.1
Update localedata to 2007g


----------------------+
 PKGBUILD             |   19 +++++++++++--------
 pl_PL-miesiace.patch |   33 +++++++++++++++++++++++++++++++++
 2 files changed, 44 insertions(+), 8 deletions(-)


Index: arch/build/base/glibc/PKGBUILD
diff -u arch/build/base/glibc/PKGBUILD:1.69 arch/build/base/glibc/PKGBUILD:1.70
--- arch/build/base/glibc/PKGBUILD:1.69	Tue Aug 21 11:35:00 2007
+++ arch/build/base/glibc/PKGBUILD	Sat Aug 25 03:49:55 2007
@@ -1,9 +1,9 @@
-# $Id: PKGBUILD,v 1.69 2007/08/21 15:35:00 dan Exp $
+# $Id: PKGBUILD,v 1.70 2007/08/25 07:49:55 jgc Exp $
 # Maintainer: Jan de Groot <jgc at archlinux.org>
 pkgname=glibc
 pkgver=2.6.1
-pkgrel=1
-_tzdata=2007f
+pkgrel=2
+_tzdata=2007g
 install=glibc.install
 backup=(etc/locale.gen)
 pkgdesc="GNU C Library"
@@ -15,31 +15,33 @@
 makedepends=('gcc>=4.2.1-2')
 replaces=('glibc-xen')
 source=(http://ftp.gnu.org/gnu/glibc/glibc-${pkgver}.tar.bz2
-	http://ftp.gnu.org/gnu/glibc/glibc-libidn-2.6.tar.bz2
+	http://ftp.gnu.org/gnu/glibc/glibc-libidn-${pkgver}.tar.bz2
 	ftp://elsie.nci.nih.gov/pub/tzdata${_tzdata}.tar.gz
 	glibc-2.5-localedef_segfault-1.patch
 	locales-fr.diff
 	locales_GB.diff
 	fix-C-first_weekday.diff
 	first_weekday.diff
+	pl_PL-miesiace.patch
 	nscd
 	locale.gen
 	locale-gen)
 md5sums=('11cf6d3fc86dbe0890b8d00372eb6286'
-         'ed20ad629986c2746c77cda46fb0602c'
-         '799ca289ee9e2f22ce6e3f9fb9c5f847'
+         '503f1315afd808728ebaa75b3d87a7d9'
+         '04152531a69c07b6cb08bacfd425aae1'
          '879fcc4d60526a4796e5d99d5839de38'
          '78ee499ba48ceeff0b4bbbb953682517'
          '159b30fffda57b38c825bac36d6a9818'
          '8810a53b0b1ebb0480dbe6d7604a11d1'
          '16145f6005953c3baa627aa44010bbc1'
+         'd92356fc452202ab19c1a14f74a0290a'
          'b587ee3a70c9b3713099295609afde49'
          'de51529a06d0d39b4e1cd23b5edec554'
          '476e9113489f93b348b21e144b6a8fcf')
 
 build() {
   cd ${startdir}/src/glibc-${pkgver}
-  mv ../glibc-libidn-2.6 ./libidn
+  mv ../glibc-libidn-${pkgver} ./libidn
   pushd timezone || return 1
   tar zxf ${startdir}/src/tzdata${_tzdata}.tar.gz || return 1
   popd
@@ -49,6 +51,7 @@
   patch -Np1 -i ${startdir}/src/locales-fr.diff || return 1
   patch -Np0 -i ${startdir}/src/first_weekday.diff || return 1
   patch -Np0 -i ${startdir}/src/fix-C-first_weekday.diff || return 1
+  patch -Np0 -i ${startdir}/src/pl_PL-miesiace.patch || return 1
   
   mkdir -p ${startdir}/pkg/etc
   touch ${startdir}/pkg/etc/ld.so.conf
@@ -88,7 +91,7 @@
   if [ "${CARCH}" = "x86_64" ]; then
     # fix for the linker
     sed -i '/RTLDLIST/s%/ld-linux.so.2 /lib64%%' ${startdir}/pkg/usr/bin/ldd
-    # compatibility fix until all packages have been rebuild against the linker in /lib
+    #Comply with multilib binaries, they look for the linker in /lib64
     mkdir ${startdir}/pkg/lib64
     cd ${startdir}/pkg/lib64
     ln -v -s ../lib/ld* .
Index: arch/build/base/glibc/pl_PL-miesiace.patch
diff -u /dev/null arch/build/base/glibc/pl_PL-miesiace.patch:1.1
--- /dev/null	Sat Aug 25 03:49:55 2007
+++ arch/build/base/glibc/pl_PL-miesiace.patch	Sat Aug 25 03:49:55 2007
@@ -0,0 +1,33 @@
+--- localedata/locales/pl_PL.orig	2007-06-14 16:51:07.000000000 +0200
++++ localedata/locales/pl_PL	2007-06-14 16:53:27.000000000 +0200
+@@ -2164,18 +2164,18 @@ day     "<U006E><U0069><U0065><U0064><U0
+         "<U0063><U007A><U0077><U0061><U0072><U0074><U0065><U006B>";/
+         "<U0070><U0069><U0105><U0074><U0065><U006B>";/
+         "<U0073><U006F><U0062><U006F><U0074><U0061>"
+-abmon   "<U0049>";/
+-        "<U0049><U0049>";/
+-        "<U0049><U0049><U0049>";/
+-        "<U0049><U0056>";/
+-        "<U0056>";/
+-        "<U0056><U0049>";/
+-        "<U0056><U0049><U0049>";/
+-        "<U0056><U0049><U0049><U0049>";/
+-        "<U0049><U0058>";/
+-        "<U0058>";/
+-        "<U0058><U0049>";/
+-        "<U0058><U0049><U0049>"
++abmon   "<U0073><U0074><U0079>";/
++        "<U006C><U0075><U0074>";/
++        "<U006D><U0061><U0072>";/
++        "<U006B><U0077><U0069>";/
++        "<U006D><U0061><U006A>";/
++        "<U0063><U007A><U0065>";/
++        "<U006C><U0069><U0070>";/
++        "<U0073><U0069><U0065>";/
++        "<U0077><U0072><U007A>";/
++        "<U0070><U0061><U017A>";/
++        "<U006C><U0069><U0073>";/
++        "<U0067><U0072><U0075>"
+ mon     "<U0073><U0074><U0079><U0063><U007A><U0065><U0144>";/
+         "<U006C><U0075><U0074><U0079>";/
+         "<U006D><U0061><U0072><U007A><U0065><U0063>";/




More information about the arch-commits mailing list